Bug 182185 - When attaching to a runing/threaded process, only one thread is attached
When attaching to a runing/threaded process, only one thread is attached
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 16:47 EST by U. George
Modified: 2008-03-10 00:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description U. George 2006-02-20 16:47:58 EST
Description of problem:
Because of a problem with thread_db, one has to start the threaded program as a
regular executable. On another tty, u attach to the process with gdb pgm procID.
This only attaches one ( of many threads ). Gdb is not aware of any of the other
threads.


Version-Release number of selected component (if applicable):


How reproducible:
I suspect always reproduceable. 


Steps to Reproduce:
1. get javasofts jdk.
2. run one of the demo's ( dont use gdb )
3. try to attach to all the threads that are a part of the demo. There a few
procID's.
  
Actual results:
u only get one of the many threads. u also dont get to observe the sigsegv fault
that happened in another (unknown) thread ;-{

Expected results:
maybe all the threads will be known to GDB? So when i 'c', gdb will catch one of
the threads segfaulting.

Additional info:
i can help with  the java demo setup, if need be.
Comment 1 Jan Kratochvil 2006-07-18 13:23:44 EDT
Unable to reproduce on:
FC5-i386
gdb-6.3.0.0-1.122
3188bedc75d4500f599558427b95156c
/home/lace/arch/java/jdk-1_5_0_06-linux-i586-rpm.bin
jdk/demo/jfc/Notepad/Notepad.jar

Caught all the 12 threads on "attach" (compared with the list seen by "ps
-eLf"). Apparently it was not crashing so the reproducibility test was not perfect.
Comment 2 Jan Kratochvil 2006-08-15 20:07:13 EDT
Please update this Bug if the problem is still present in FC5 or FC6test2, it
does not appear to me so.
Comment 3 petrosyan 2008-03-10 00:04:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.